Subject: Re: Netperf TCP_RR(loopback) 10% regression in 2.6.24-rc6, comparing with 2.6.22

From: Rick Jones <[email-masked]>
Date: Tue, 22 Jan 2008 10:36:33 -0800

When parsing the -P option in scan_socket_args() of src/nettest_bsd.c, 
netperf is using "break_args()" from src/netsh.c which indeed if the 
command line says "-P 12345" will set both the local and remote port 
numbers to 12345.  If instead you were to say "-P 12345,"  it will use 
12345 only for the netperf side.  If you say "-P ,12345" it will use 
12345 only for the netserver side.  To set both sides at once to 
different values it would be "-P 12345,54321"

In theory, send_udp_rr() in src/nettest_bsd.c (or I suppose 
scan_socket_args() could have more code added to it to check for a UDP 
test over loopback, but probably needs to be a check for any local IP, 
and unless this becomes something bigger than "Doctor! Doctor! It hurts 
when I do this!" :) I'm inclined to leave it as caveat benchmarker and 
perhaps some additional text in the manual.

rick jones